## rtpj2kpay

rtpj2kpay — Payload-encodes JPEG 2000 pictures into RTP packets (RFC 5371)

## Properties

gboolean | buffer-list | Read / Write

## Types and Values

struct | GstRtpJ2KPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpJ2KPay

## Description

Payload encode JPEG 2000 pictures into RTP packets according to RFC 5371. For detailed information see: http://www.rfc-editor.org/rfc/rfc5371.txt

The payloader takes a JPEG 2000 picture, scans the header for packetization units and constructs the RTP packet header followed by the actual JPEG 2000 codestream.

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | image/x-jpc

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)video, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string)JPEG2000

## Functions

## Types and Values

### struct GstRtpJ2KPay

    struct GstRtpJ2KPay;

## Property Details

### The `“buffer-list”` property

      “buffer-list”              gboolean

Use Buffer Lists.

Flags: Read / Write

Default value: TRUE